'use strict';

import React      from 'react'
import style      from './style.scss'
import CSSModules from 'react-css-modules'

import {
  Grid,
  Cell,
  Card,
  CardTitle,
  CardText,
  CardActions,
  CardMenu,
  IconButton,
  Button,
  Menu,
  MenuItem,
  List,
  ListItem,
  ListItemContent,
  Tabs,
  Tab,
  Navigation
} from 'react-mdl'

class CarmelComponent extends React.Component {

  constructor(props) {
    super(props)
  }

  renderVideo(video) {
    return (<div styleName="video">
        <iframe styleName="youtube"
                src={`https://www.youtube.com/embed/${video.youtubeId}`}
                frameBorder="0" allowFullScreen>
        </iframe>
      </div>)
  }

  render () {
    return (<div styleName="container">
              <Grid styleName="content">
                <Cell col={4} phone={12}>
                  { this.renderVideo(this.props.carmel.videos[0]) }
                </Cell>
                <Cell col={4} phone={12}>
                  { this.renderVideo(this.props.carmel.videos[1]) }
                </Cell>
                <Cell col={4} phone={12}>
                  { this.renderVideo(this.props.carmel.videos[2]) }
                </Cell>
              </Grid>
          </div>)
  }
}

export default CSSModules(CarmelComponent, style);
